# Orchestration

- Orchestrate Runner
  - The Orchestrate Runner
    - Writing SLS Files
    - Executing the Orchestrate Runner
    - Masterless Orchestration
    - Examples
      - Function
        - Fail Functions
      - State
      - Highstate
      - Runner
    - Return Codes in Runner/Wheel Jobs
    - More Complex Orchestration
  - Parsing Results Programmatically
    - Running States on the Master without a Minion
      - Limitations